Solved Disconnecting IP:PORT: Protocol error

Discussion in 'Bukkit Help' started by WarriorBoots, Oct 29, 2013.

Thread Status:
Not open for further replies.
  1. Offline

    WarriorBoots

    Hello everyone! this is my first post on bukkit's forum and i'm having a "little" trouble connecting to my own server that's running bukkit's latest verson under ubuntu, i've already created an regular minecraft server and i was able to connect to it but when i try to connect to the bukkit one, it logs this on the console

    Disconnecting /IP:52267: Protocol error​
    22:37:45 [INFO] /IP:52267 lost connection​
    Full console log
    ubuntu@IP:~/craftbukkit$ ./craftbukkit.sh​
    22:45:39 [INFO] Starting minecraft server version 1.6.4​
    22:45:39 [INFO] Loading properties​
    22:45:39 [INFO] Default game type: SURVIVAL​
    22:45:39 [INFO] Generating keypair​
    22:45:40 [INFO] Starting Minecraft server on *:25565​
    22:45:40 [INFO] This server is running CraftBukkit version git-Bukkit-1.6.4-R1.0 (MC: 1.6.4) (Implementing API version 1.6.4-R1.0)​
    22:45:41 [INFO] Preparing level "world"​
    22:45:41 [INFO] Preparing start region for level 0 (Seed: 9164634990820610873)​
    22:45:42 [INFO] Preparing spawn area: 22%​
    22:45:43 [INFO] Preparing start region for level 1 (Seed: 9164634990820610873)​
    22:45:44 [INFO] Preparing start region for level 2 (Seed: 9164634990820610873)​
    22:45:44 [INFO] Server permissions file permissions.yml is empty, ignoring it​
    22:45:44 [INFO] Done (3.602s)! For help, type "help" or "?"​
    22:45:46 [INFO] Disconnecting /IP:52697: Protocol error​
    22:45:46 [INFO] /IP:52697 lost connection​
    22:45:58 [INFO] Disconnecting /IP:52700: Protocol error​
    22:45:58 [INFO] /IP:52700 lost connection​
    And this shown on my screen
    "Internal Exception: java.io.IOException: An existing connection was forcibly closed by the remote host"​
    Sorry for my english.
     
  2. Online

    timtower Ninja on the waves Moderator

    WarriorBoots With what version are you trying to join the server?
     
  3. Offline

    WarriorBoots

  4. YEr probably joining the server as teh 1.7.2 client. Downgrade your client to 1.6.4 and it should work.
     
  5. Offline

    WarriorBoots

    wait, what? bukkit dosen't support newest versions of minecraft?
     
  6. Did you see this? "This server is running CraftBukkit version git-Bukkit-1.6.4-R1.0 (MC: 1.6.4)"

    Blame Mojang if you think a 1.7.2 client should work with a 1.6.4 server.
     
  7. Offline

    WarriorBoots

    Bobcat00 hehe i didn't knew that the server version of the bukkit either minecraft were "syncronized" with the client version. just a sec meanwhile i try to connect to it with a older version.

    Yeah, connected, sorry for such a "dumb" problem, Thanks!

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: Jun 5, 2016
Thread Status:
Not open for further replies.

Share This Page